/**
 * @adonisjs/http-server
 *
 * (c) Harminder Virk <virk@adonisjs.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
/// <reference path="../../../adonis-typings/index.d.ts" />
/// <reference types="node" />
import { AsyncLocalStorage } from 'async_hooks';
import { HttpContextContract } from '@ioc:Adonis/Core/HttpContext';
/**
 * Find if the async localstorage is enabled or not
 */
export declare let usingAsyncLocalStorage: boolean;
/**
 * Toggle the async local storage
 */
export declare function useAsyncLocalStorage(enabled: boolean): void;
/**
 * Async local storage for the HTTP context
 */
export declare const httpContextLocalStorage: AsyncLocalStorage<HttpContextContract>;
